{% load widget_tweaks %}

{% block body %}
{% comment %} <div class="card-body"> {% endcomment %}
    {% comment %} <div class="row">
        <div class="col-12">

            <h1>Account Management</h1>
            <nav class="breadcrumb-container d-none d-sm-block d-lg-inline-block" aria-label="breadcrumb">
                <ol class="breadcrumb pt-0">
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:home' %}">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:account' %}">Account</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Profile</li>
                </ol>
            </nav>
            <div class="separator mb-5"></div>


        </div>
    </div> {% endcomment %}

    {% comment %} <div class="row"> {% endcomment %}
<div class="container">

        <div class="card-body">
            <h5 class="mb-4">Profile Modification</h5>
            
                
            {% if profile_form.errors %}
                <div class="alert alert-danger">
                    {{ profile_form.errors }}
                </div>
            {% endif %}
            
            {% if not request.user.profile.is_published %}
            <div style="float: right;">
                <button type="button" class="btn btn-danger btn-lg" data-toggle="modal" data-target="#check">Finalize Profile</button>
            </div> 

            <div class="clearfix"></div>

            <div class="container">
                <div class="modal fade" id="check" role="dialog">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Warning</h4>
                            </div>
                            <div class="modal-body">
                                {% if user.profile.is_published %}
                                    <p>Your profile is finalized now. You can't change that anymore.
                                    </p>
                                {% else %}
                                    <p>After finalizing your profile you can not modify the profile anymore. Are you sure to finalize profile?
                                    </p>
                                {% endif %}
                            </div>

                            {% if request.user.profile.is_published %}
                                <div class="modal-footer">
                                    <button style="float: right;" class="btn btn-info" data-dismiss="modal">Ok</button>
                                </div>
                            {% else %}
                                <div class="modal-footer">
                                    <form method="POST" id="profile-published" action="{% url 'dashboard:account-profile-published' application.sku  %}" novalidate>
                                        {% csrf_token %}                                               
                                        <input type="hidden" name="g-recaptcha-response" id='recaptcha' />
                                        <input type="hidden" name="user" class="form-control invisible" required="" value={{ request.user.pk }} />
                                        <input type="hidden" name="is_published" class="form-control invisible" required="" value='true' />
                                        <button type="submit" class="btn btn-danger">Yes</button>
                                    </form>
                                    <button class="btn btn-info" data-dismiss="modal">No</button>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>

                <div class="modal fade" id="projectModal" role="dialog">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Information</h4>
                            </div>
                            <div class="modal-body">
                                
                                <p>First you must finalize your application.</p>
                            </div>

                            <div class="modal-footer">
                                <button style="float: right;" class="btn btn-danger" data-dismiss="modal">No</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {% endif %}
            <hr/>

            {% if not request.user.profile.is_published %}

                <form method="POST" id="profile-draft" enctype="multipart/form-data" class="tooltip-label-right" action="{% url 'dashboard:account-profile-edit' application.sku %}" novalidate>
                    {% csrf_token %}

                    <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.origin.label }} <span class="small text-danger">(required)</span></label>
                        {% render_field profile_form.origin class="form-control" required="" %}

                        <div class="invalid-tooltip">
                            {{ profile_form.origin.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.phone_number.label }} <span class="small text-danger">(required)</span></label>
                        {% render_field profile_form.phone_number class="form-control" required="" %}
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.phone_number.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.residence.label }} <span class="small text-danger">(required)</span></label>
                        {% render_field profile_form.residence class="form-control" required="" %}
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.residence.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.gender.label }} <span class="small text-danger">(required)</span></label>
                        {% render_field profile_form.gender class="form-control" required="" %}
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.gender.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.bio.label }} <span class="small text-danger">(required)</span></label>
                        {% render_field profile_form.bio class="form-control" required="" %}
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.bio.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.location.label }} <span class="small text-danger">(required)</span></label>
                        {% render_field profile_form.location class="form-control" required="" %}
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.location.label }} is required!
                        </div>
                    </div>

                    <h3>Social media Accounts</h3> <span class="small text-danger">(one of social must be fill)</span>
                    <hr/>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.instagram.label }} </label>
                        {% render_field profile_form.instagram class="form-control" required="" placeholder="https://www.instagram.com/deneb.qa" %}
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.instagram.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.facebook.label }}</label>
                        {% render_field profile_form.facebook class="form-control" required="" placeholder="https://www.facebook.com/deneb.qa" %}
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.facebook.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.twitter.label }}</label>
                        {% render_field profile_form.twitter class="form-control" required="" placeholder="https://www.twitter.com/deneb.qa" %}
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.twitter.label }} is required!
                        </div>
                    </div>

                    <h3>Upload Files Documents</h3></span>
                    <hr/>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.cover.label }}</label>
                        {% render_field profile_form.cover class="form-control" required="" %}
                        <div id="parent-progress-cover" class="progress" style="height: 13.5px; border-radius: 0;">
                            <div id="progress-cover" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.cover.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.picture.label }}</label>
                        {% render_field profile_form.picture class="form-control" required="" %}
                        <div id="parent-progress-picture" class="progress" style="height: 13.5px; border-radius: 0;">
                            <div id="progress-picture" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.picture.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50">
                        <label>{{ profile_form.id_card.label }}</label>
                        {% render_field profile_form.id_card class="form-control" required="" %}
                        <div id="parent-progress-id_card" class="progress" style="height: 13.5px; border-radius: 0;">
                            <div id="progress-id_card" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                        
                        <div class="invalid-tooltip">
                            {{ profile_form.id_card.label }} is required!
                        </div>
                    </div>

                    <div class="form-group position-relative error-l-50 invisible">
                        <label>User</label>
                        <input type="text" name="user" class="form-control invisible" required="" value={{ request.user.pk }}>
                        <div class="invalid-tooltip">
                            User is required!
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary">Save as Draft</button>
                </form>
            {% else %}
            <div class="form-group position-relative">
                <label>{{ profile_form.origin.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.origin.name }} >
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.residence.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.residence.name }} >
            </div>

            <div class="form-group position-relative">
                <label>{{ profile_form.phone_number.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.phone_number }} >
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.gender.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.get_gender_display }} >
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.bio.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.bio }} >
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.location.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.location }} >
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.instagram.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.instagram }} >
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.facebook.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.facebook }} >
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.twitter.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ request.user.profile.twitter }} >
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.id_card.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {% if request.user.profile.id_card %} Secured {% endif %} />
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.picture.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {% if request.user.profile.picture %} Secured {% endif %} />
            </div>
            <div class="form-group position-relative">
                <label>{{ profile_form.cover.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {% if request.user.profile.cover %} Secured {% endif %} />
            </div>

            {% endif %}
        </div>
    </div>
{% comment %} </div> {% endcomment %}


{% endblock %}
